#
# spec file for package liby2util (Version 2.13.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dejagnu diffutils doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxcrypt-devel libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim yast2-devtools zlib zlib-devel

Name:           liby2util
Version:        2.13.8
Release:        0.12
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        liby2util-2.13.8.tar.bz2
prefix:		/usr
BuildRequires:  dejagnu doxygen gcc-c++ libxcrypt-devel libxml2-devel openssl-devel pkgconfig yast2-devtools
Summary:        YaST2--Utilities Library

%description
YaST2--Utilities Library

Authors:
--------
    Michael Andres <ma@suse.de>

%debug_package
%package devel
Requires:       liby2util = %version
Group:          System/YaST
Summary:        YaST2 - Include Files and Documentation for Utilities Library
Requires:       glibc-devel libstdc++-devel zlib-devel openssl-devel pkgconfig libxml2-devel

%description devel
YaST2 - Include Files and Documentation for Utilities Library

Authors:
--------
    Michael Andres <ma@suse.de>

%prep
%setup -n liby2util-2.13.8

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{prefix}/include/YaST2
%{_libdir}/pkgconfig/liby2util.pc
%doc %{prefix}/share/doc/packages/liby2util

%changelog
* Fri Sep 01 2006 - mvidner@suse.cz
- Fixed warnings in code using Rep.h when compiling with -W.
- 2.13.8
* Fri Mar 10 2006 - mvidner@suse.cz
- Prevent log truncation because of integer overflow on machines
  with lots of memory (#156149).
- 2.13.7
* Tue Feb 28 2006 - mvidner@suse.cz
- Increased the log size from 10*1MB to 10*10MB because zypp still
  logs like hell. Hopefully it can be reverted once things settle
  down (#153306).
- 2.13.6
* Mon Feb 20 2006 - visnov@suse.cz
- fix gpg signature check (meissner@suse.de)
- 2.13.5
* Tue Feb 14 2006 - visnov@suse.cz
- Added raw logging function
- 2.13.4
* Wed Dec 21 2005 - visnov@suse.cz
- Merged proofread ISO language names
* Mon Nov 21 2005 - mvidner@suse.cz
- Fixed a new[]/delete mismatch in Pathname::_assign
* Thu Oct 06 2005 - ma@suse.de
- Provide macros to define pointer classes within a namespace.
  Required with GCC 4.1.
- 2.13.3
* Wed Oct 05 2005 - visnov@suse.cz
- fix build with GCC 4.1
- 2.13.2
* Mon Sep 19 2005 - ma@suse.de
- PathInfo::copy_dir: Don't preserve mode and ownership. (#117649)
- Adjust template specializations to correct namespace.
- 2.13.1
* Thu Sep 15 2005 - ma@suse.de
- ISOLanguage: Support ISO 639-2 (3-letter) codes. (#113949)
- 2.13.0
* Wed Sep 07 2005 - ma@suse.de
- Fixed untranslated language and country names. (#106104)
- 2.12.8
* Thu Sep 01 2005 - ma@suse.de
- Fix overflow in y2log::maxlogsize which causes y2log files
  being rotated after every line. (#106734)
- 2.12.7
* Wed Aug 03 2005 - ma@suse.de
- Fixed missing configure checks and spec file dependencies for
  libxml2
- 2.12.6
* Tue Aug 02 2005 - mir@suse.de
- Added utilies for XML parsing, nice for parsing large XML files
  "twig by twig" (XMLNodeIterator, LibXMLHelper)
* Mon Aug 01 2005 - ma@suse.de
- Added PathInfo::erase. Remove whatever happens to be located
  at path (file or directory).
- 2.12.5
* Mon Aug 01 2005 - ma@suse.de
- Added TmpFile, TmpDir: Reference counted class providing
  temporary files or directories.
- Added TmpPath: Reference counted class automaticaly removing
  files or directories when the last reference drops.
- 2.12.4
* Fri Jul 29 2005 - ma@suse.de
- Fixed potential buffer overflow when assigning Pathnames.
* Mon Jul 25 2005 - ma@suse.de
- Added PathInfo::sha1sum: Compute a files SHA1 digest
* Thu Jul 21 2005 - ma@suse.de
- PathInfo: Save and restore ostream state when using format
  manipulator.
- Stringutils: Added atoi like functions to convert strings to
  numbers.
- 2.12.3
* Mon Jul 18 2005 - ma@suse.de
- Added SourceCodeLocation: helper for logging 'file(function):line'
- Added Exception
- Replaced _Body/_Handle with VarPtr<>
- Added operator* for counted pointer classes
- 2.12.2
* Fri Jul 08 2005 - ma@suse.de
- Added ifgzstream/ofgzstream (gzstream.h). Streams for reading and
  writing gzip files. Adapted configure and spec file, as we now need
  libz.
- 2.12.1
* Mon May 23 2005 - visnov@suse.cz
- fix printf arguments
* Mon Apr 18 2005 - lnussel@suse.de
- fix redirect of stderr to stdout (#78098)
* Tue Feb 22 2005 - mvidner@suse.cz
- When renumbering file descriptors, check whether we already have
  the desired number (#64797).
- 2.11.5
* Fri Feb 18 2005 - ma@suse.de
- Enabled translation of language and country names.
- 2.11.4
* Tue Feb 08 2005 - ma@suse.de
- Compile with gcc4.
- 2.11.3
* Thu Jan 20 2005 - ma@suse.de
- New classes for language and country code handling.
- 2.11.2
* Wed Dec 01 2004 - ma@suse.de
- Keep vendor attributes inside the packagemanager library. (#47528)
- 2.11.1
* Fri Oct 29 2004 - mvidner@suse.cz
- Added pkgconfig support.
- 2.11.0
* Thu Sep 30 2004 - ma@suse.de
- Added class KVMap
- 2.10.6
* Tue Sep 21 2004 - ma@suse.de
- Allow passing environment varaibles to ExternalProgram. (#38261)
- 2.10.5
* Sat Sep 18 2004 - schwab@suse.de
- Fix C++ syntax.
* Mon Aug 30 2004 - lnussel@suse.de
- use pkgconfig macro to check for OpenSSL
- use get() instead of readsome() as readsome() seems to be non-blocking and
  returns zero in the middle of a file
- add Makefile target to test Digest class
- 2.10.4
* Thu Aug 12 2004 - jsrain@suse.cz
- added libpng to neededforbuild
- 2.10.3
* Tue Jul 13 2004 - lnussel@suse.de
- don't use system() for calling gpg (#42776)
- always log executed external programs and their status if they fail
- 2.10.2
* Thu Jul 01 2004 - ma@suse.de
- New PathInfo::md5sum
* Thu Jun 24 2004 - lnussel@suse.de
- link against openssl so that the dependencies are added to liby2util.la
- new class for message digests (MD5, SHA1 etc)
- 2.10.1
* Thu Jun 17 2004 - lnussel@suse.de
- merge 9.1 branch
- 2.10.0
* Fri May 21 2004 - ma@suse.de
- fixed logging configuration (#40970)
- 2.9.24
* Tue Apr 20 2004 - ma@suse.de
- New enum PathInfo::file_type (file, directory, link, etc.)
- New PathInfo::readdir which retrieves directory content and
  file_type of each entry.
- 2.9.23
* Tue Apr 06 2004 - lnussel@suse.de
- SUSE is great (#38495)
- 2.9.22
* Sun Apr 04 2004 - kkaempf@suse.de
- add 'cifs' to URL (#37871)
- 2.9.21
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Tue Mar 23 2004 - visnov@suse.cz
  PathInfo::md5sum- use GNU-like output for log_simple mode
- 2.9.19
* Mon Mar 22 2004 - ma@suse.de
- TagCacheRetrieval::retrieveData must clear any old data in case
  of retrieval error.
- 2.9.18
* Thu Mar 18 2004 - ma@suse.de
- Added convenience classes for callback redirection.
- 2.9.17
* Wed Mar 17 2004 - mvidner@suse.cz
- include MemUsage.h unconditionally, let *it* (un)define D_MEMUSAGE
- 2.9.16
* Tue Mar 16 2004 - lnussel@suse.de
- disable -DD_MEMUSAGE otherwise all depending packages need to enable it too
- 2.9.15
* Mon Mar 15 2004 - mvidner@suse.cz
- fixed initialization of LangCode::_nameHash
- 2.9.14
* Sun Mar 14 2004 - kkaempf@suse.de
- enable MemUsage with -DD_MEMUSAGE
- add size tracking
* Tue Mar 02 2004 - lnussel@suse.de
- add access functions to internal debug variable
* Mon Mar 01 2004 - ma@suse.de
- Added common set operations (setutil.h)
- 2.9.12
* Tue Feb 24 2004 - mvidner@suse.cz
- Toggle debug on SIGUSR1, reread log.conf on SIGUSR2.
* Tue Feb 24 2004 - msvec@suse.cz
- use normal log behavior in ycpc when Y2DEBUG is set
* Mon Feb 23 2004 - mvidner@suse.cz
- Reread log.conf on SIGUSR1
- 2.9.11
* Sat Feb 21 2004 - ma@suse.de
- Reimplemented counted pointer classes
- 2.9.10
* Thu Feb 19 2004 - visnov@suse.cz
- ensure initialization of memusage counter
- 2.9.9
* Wed Feb 18 2004 - msvec@suse.cz
- better function name for the simple log mode
* Tue Feb 17 2004 - mvidner@suse.cz
- Added MemUsage
- 2.9.8
* Mon Feb 09 2004 - msvec@suse.cz
- added simple log mode (mainly for ycpc)
- 2.9.7
* Tue Jan 27 2004 - ma@suse.de
- Let parser classes use std::streamoff instead of std::streampos.
* Sat Jan 24 2004 - ma@suse.de
- Added PathInfo::hardlink
- 2.9.6
* Fri Jan 23 2004 - msvec@suse.cz
- added possibility to use a custom log.conf
* Thu Jan 22 2004 - ma@suse.de
- Compile with gcc-3.4
- 2.9.5
* Thu Dec 18 2003 - ma@suse.de
- Restored Y2SLog providing a default log component name.
- 2.9.4
* Fri Dec 12 2003 - msvec@suse.cz
- merge again the logging functionality from core
- implement better logging configuration
- 2.9.3
* Thu Nov 13 2003 - ma@suse.de
- Fixed ProgressCounter::updateIfNewPercent. After reset, update
  should be triggered anyway. Otherwise an initial 0%% report may
  get lost. (#30382)
- 2.9.2
* Thu Nov 06 2003 - mvidner@suse.cz
- Switched autodocs from kdoc to doxygen
- 2.9.1
* Tue Sep 23 2003 - ma@suse.de
- Added PathInfo::symlink
- 2.8.15
* Thu Sep 18 2003 - ma@suse.de
- Provide virtual methods Rep::ref_to and Rep::unref_to triggered
  whenever the reference counter changes.
- 2.8.12
* Thu Sep 11 2003 - ma@suse.de
- ExternalProgram: Close excess file descriptors on exec. (#30410)
- 2.8.11
* Fri Aug 29 2003 - ma@suse.de
- Adapt CallBack and ProgressCounter to packagemanager needs.
- 2.8.10
* Mon Aug 25 2003 - sh@suse.de
- Second part of fix for bug #19603: RPM groups not translated
  Moved gettext initialization out to from Y2PM.cc (in packagemanager)
  to YRpmGroupsTree.cc
* Tue Aug 12 2003 - ma@suse.de
- fixed PtrClasses: call to nonstatic member before class is
  completely initialized.
- 2.8.9
* Tue Jul 29 2003 - cschum@suse.de
- Suppress ".." in PathInfo::readDir().
* Mon Jul 28 2003 - cschum@suse.de
- Fix test suite for autobuild.
- 2.8.8
* Sun Jul 27 2003 - ma@suse.de
- Fixes to CallBack class.
- 2.8.7
* Tue Jul 15 2003 - ma@suse.de
- Added CallBack template classes.
- Added ProgressCounter incl. callback support.
- 2.8.6
* Tue Jul 08 2003 - cschum@suse.de
- Added support for "file:" URLs.
- Added Url class tests.
- Removed "get" suffix from Url accessor functions.
- Added Protocol enum to Url class.
- Changed Url::setPort/port() to use int value.
- 2.8.5
* Tue Jun 24 2003 - cschum@suse.de
- Fixed ExternalProgram::running().
* Tue Jun 17 2003 - cschum@suse.de
- Added FSize constructor with string argument.
* Wed Jun 11 2003 - arvin@suse.de
- add /usr/include/YaST2 to file list of devel subpackage
* Tue Jun 03 2003 - ma@suse.de
- Build fix: Don't package unmaintained validate_* programs at all.
- Added PathInfo::zipType
- 2.8.2
* Fri May 30 2003 - mvidner@suse.de
- Build fix: package also validate_packages_lang, validate_selection.
- 2.8.1
* Tue Apr 22 2003 - ma@suse.de
- 2.8.0
* Tue Apr 22 2003 - cschum@suse.de
- Also use separate GPG home dir when running as non-root (#26360).
* Fri Mar 14 2003 - ma@suse.de
- In vendor check isSuSE() return true for "UnitedLinux" too.
- 2.7.15
* Thu Mar 06 2003 - ma@suse.de
- Added 'int PathInfo::chmod( const Pathname & path, mode_t mode );'
- 2.7.14
* Mon Mar 03 2003 - ma@suse.de
- 2.7.13
* Thu Feb 27 2003 - lnussel@suse.de
- use std::set instead of hash in Ustring.h for speed reasons
- increase library version number to reflect binary incompatible changes
* Tue Feb 25 2003 - cschum@suse.de
- GPGCheck now also works for non-root users.
* Tue Feb 25 2003 - gs@suse.de
- 2.7.12   #include <assert.h> added
* Mon Feb 24 2003 - cschum@suse.de
- Don't report missing config file as error (#23799).
* Fri Feb 21 2003 - ma@suse.de
- 2.7.10
* Wed Feb 19 2003 - cschum@suse.de
- GPGCheck: Don't prompt user, when destination file can't be removed.
* Tue Feb 18 2003 - ma@suse.de
- Added PathInfo::userMay methods, evaluating file permissions according
  to current uid/gid.
- 2.7.9
* Tue Feb 11 2003 - sh@suse.de
- (Partial) fix for bug #19603: RPM groups not translated
  YRpmGroupsTree / YStringTree now use dgettext( "rpm-groups", msg )
  to retrieve the translations.
* Mon Feb 03 2003 - ma@suse.de
- Url::operator== should be 'const'.
- 2.7.7
* Wed Jan 29 2003 - ma@suse.de
- Added FSize::fillBlock (and FSize::fullBlock) to adjust (return adjusted)
  size to provided blocksize boundary.
- 2.7.6
* Thu Jan 23 2003 - ma@suse.de
- Added class PathInfo::devino_cache. Standalone simple cache
  remembering device/inode to detect hardlinks.
- 2.7.5
- Added class PathInfo::stat_mode. Standalone wrapper class for mode_t
  values (filetype and protection) as derived from ::stat().
- 2.7.4
- Added stringutil::splitToLines. Split string into a list of lines
  using per default '\n' as line delimiter.
- Added stringutil::dumpOn. Helper for stream output of string list
  and vector.
- 2.7.3
* Wed Jan 22 2003 - cschum@suse.de
- Added numstring, hexstring and optstring functions for long long
  parameters.
* Wed Dec 18 2002 - cschum@suse.de
- Added Url::operator==().
- Added PathInfo::copy().
- Cleaned up GPGCheck class.
- Folded TaggedParser::lookupYouEndTag() into TaggedParser::lookupEndTag().
* Thu Nov 14 2002 - ma@suse.de
- Fixed bug that inhibits logging on big-endian architectures.
- 2.7.1
* Thu Nov 14 2002 - cschum@suse.de
- Added SysConfig class for accessing /etc/sysconfig/* files.
* Mon Oct 14 2002 - ma@suse.de
- Fixed TagRetrievalPos. Failed to read multiline entries containing
  lines longer than 1024 byte.
- 2.6.21
* Wed Oct 09 2002 - ma@suse.de
- Fixed pathInfo::copy_dir. Check for existing target dir didn't work.
- 2.6.20
* Wed Oct 02 2002 - cschum@suse.de
- Added support for YOU-style localized multiline tags.
- 2.6.19
* Wed Sep 11 2002 - kkaempf@suse.de
- Handle empty values in TaggedParser more gracefully
- 2.6.18
* Tue Sep 10 2002 - ma@suse.de
- Added LangCode::hasCountry() and LangCode::languageOnly()
- 2.6.17
* Tue Sep 10 2002 - arvin@suse.de
- reduce logging (bug #19289)
* Tue Sep 10 2002 - ma@suse.de
- add PathInfo::rename()
- 2.6.15
* Mon Sep 09 2002 - lnussel@suse.de
- do not output password by default, use saveAsString if you need it
* Sun Sep 08 2002 - kkaempf@suse.de
- ignore case of end tags when parsing
- 2.6.13
* Fri Sep 06 2002 - kkaempf@suse.de
- dont output stderr of "diff" to console
- 2.6.12
* Thu Sep 05 2002 - kkaempf@suse.de
- improve Rep handling
- improve Url handling
- count sizes in 1024, not 1000
- 2.6.11
* Tue Sep 03 2002 - kkaempf@suse.de
- add vendor checks
- improve TaggedParser/TaggedFile to read old common.pkd format
- 2.6.10
* Tue Sep 03 2002 - mvidner@suse.cz
- kdoc cleanup: better cross references and fixed some parsing issues.
* Sun Sep 01 2002 - kkaempf@suse.de
- add Vendor hash
- 2.6.9
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_file2dir()
- 2.6.8
* Wed Aug 28 2002 - kkaempf@suse.de
- add PathInfo::copy_dir()
- 2.6.7
* Sun Aug 25 2002 - kkaempf@suse.de
- add TaggedFile and TaggedParser for easier packages parsing
* Fri Aug 23 2002 - kkaempf@suse.de
- drop BitField implementation.
* Wed Aug 21 2002 - kkaempf@suse.de
- add group tag cache
* Sun Aug 18 2002 - kkaempf@suse.de
- add TagCacheRetrievalPtr
- add reference pointer statistics
* Fri Aug 16 2002 - kk@suse.de
- split off core logging functions for use by liby2util
  and yast2-core
* Thu May 16 2002 - ma@suse.de
- Initial version.
